%ifnarch i386
%define _without_wine 1
%endif

%if 0%{?fc7}
%define _without_pulseaudio 1
%endif

Name:           gyachi
Version:        1.1.35
Release:        6%{?dist}
Summary:        A Yahoo! chat client with Webcam and voice support

Group:          Applications/Internet
License:        GPLv2
URL:            http://gyachi.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#Patch0:	configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake gawk sed
BuildRequires:  expat-devel gettext-devel
BuildRequires:	glibc-devel >= 2.2.0 gtkhtml2-devel
BuildRequires: 	libtool-ltdl-devel
BuildRequires:	libXt-devel expat-devel
BuildRequires:	gettext-devel gtkhtml2-devel libtool libtool-ltdl-devel
BuildRequires:	desktop-file-utils ImageMagick
BuildRequires:	openssl-devel
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	jasper-devel >= 1.701.0

#jasper >= 1.701 needed for memory leak fix.
%if 0%{?fc7}
Requires:	jasper >= 1.701.0
%else
Requires:	jasper-libs >= 1.701.0
%endif

Requires:	gtk2 >= 2.4.0
Requires:	ImageMagick


%description
GYachI is a Linux client for Yahoo! Messenger protocol, 
written using GTK+ GUI toolkit. This package includes both 
the external voice chat program, GYVoice, and the 
external webcam program, GyachI-Webcam. 
In addition, this package includes GyachI-Broadcaster for 
sending webcam streams.

%description -l de
GYachI ist ein Linux client für das Yahoo! Messenger Protokoll 
und besitzt eine GTK+-Oberfläche. Dieses Paket beinhaltet 
auch externe Programme für Audio- und Videochat.

%description -l sr
GYachI je klijent za Yahoo! Messenger, napisan pomoću GTK+ 
grafičkog alata. Uz ovaj program isporučuje se eksterni "chat" program, 
kao i programi za korišćenje web-kamere (slanje i primanje slike).


%package        plugin-blowfish
Summary:        Blowfish encryption plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description plugin-blowfish
Blowfish encryption plugin for GyachI


%package        plugin-gpgme
Summary:        GPGMe encryption plugin for GyachI
Group:          Applications/Internet
BuildRequires:  gpgme-devel
Requires:       %{name} = %{version}-%{release}

%description plugin-gpgme
GPGMe encryption plugin for GyachI


%package        plugin-mcrypt
Summary:        MCrypt encryption plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       libmcrypt >= 2.5.0
Buildrequires:  libmcrypt-devel >= 2.5.0
      
%description plugin-mcrypt
MCrypt encryption plugin for GyachI


%package        plugin-photo_album
Summary:        Photo album plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description plugin-photo_album
Photo album plugin for GyachI


%package        plugin-xmms
Summary:        XMMS plugin for GyachI
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       xmms >= 1.2.0
Buildrequires:  xmms-devel >= 1.2.0

%description plugin-xmms
XMMS plugin for GyachI


%package        plugin-libnotify
Summary:        libnotify popup replacement
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Buildrequires:	libnotify-devel

%description plugin-libnotify
libnotify plugin for GyachI


%package        plugin-alsa
Summary:        libalsa sound driver
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Buildrequires:	libnotify-devel
BuildRequires:	alsa-lib-devel >= 0.9
Requires:	alsa-lib >= 0.9

%description plugin-alsa
ALSA sound driver for gyachi


%if 0%{!?_without_pulseaudio:1}
%package        plugin-pulseaudio
Summary:        pulseaudio sound driver
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

BuildRequires:	pulseaudio-libs-devel
Requires:	pulseaudio-libs

%description plugin-pulseaudio
PulseAudio sound driver for gyachi
%endif

%package recre8-theme
Summary:        GyachI Prototype theme
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
#BuildArch: noarch

%description recre8-theme
%{summary} This package supplies the artwork for the GyachI recre8 theme.


%prep
%setup -q
#%patch0 -p1


%build
./autogen.sh

%configure --disable-rpath --enable-v4l2 \
	   --enable-plugin_photo_album \
	   --enable-plugin_xmms \
	   %{?_without_wine:--disable-wine} \
	   %{?_without_pulseaudio:--disable-plugin_pulseaudio} \
	   --libexecdir=%{_libexecdir}/gyachi
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
%find_lang %{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf ../%{name}/themes/gyachi-classic/gyach-icon_48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
desktop-file-install --delete-original                   \
        --vendor fedora                                  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
        --mode 0644                                      \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/audibles
%{_datadir}/%{name}/smileys
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/tuxvironments
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/gyachi-classic
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}-*
%dir %{_libdir}/%{name}/plugins
%{_libdir}/libgyachi.so
%{_docdir}/%{name}-%{version}
%docdir %{_docdir}/%{name}-%{version}

%files plugin-blowfish
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}blowfish.so

%files plugin-gpgme
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}gpgme.so

%files plugin-mcrypt
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}mcrypt.so

%files plugin-photo_album
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}photos.so

%files plugin-xmms
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}xmms.so

%files plugin-libnotify
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}libnotify.so

%files plugin-alsa
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}alsa.so

%if 0%{!?_without_pulseaudio:1}
%files plugin-pulseaudio
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/%{name}pulseaudio.so
%endif

%files recre8-theme
%defattr(-,root,root,-)
/usr/share/%{name}/themes/recre8/*


%postun
ldconfig

%post
ldconfig


%changelog
* Mon Jun 16 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.35-6
- Made Alsa driver a plugin, added pulseaudio support as a plugin.
- Disabled pulseaudio plugin for F7

* Tue May 20 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.32-3
- added openssl-devel as dependency

* Tue May 20 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.32-2
- updated configure to automatically build xmms & photo_album plugins.

* Mon May 05 2008 Gregory D Hosler <ghosler@fedoraproject.org> - 1.1.32-1
- updated gyachi to 1.1.32 from upstream
- fixed %files to include the full documentation directory, and the new
- libgyachi library.
- updated configure to set libdir & libexecdir to be %{_libdir} (x64 lib fix)
- added new gyachi modules (libnotify, and recre8)
- updated the name change of the old photosharing module to photo_album

* Tue Feb 05 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-7
- Fix directory ownership and timestamp issues highlighted by Mamoru Tasaka and Parag Nemade

* Tue Feb 05 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-6
-  Apply upstream patch to make it build on all arch's

* Mon Feb 04 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-5
- Add ExcludeArchs

* Mon Feb 04 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-4
- Fix review as per Parag Nemade 

* Sun Feb 03 2007 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.0-3
- Initial spec file based on spec from Christopher Polyte (drpixel)
